
Infrastructure - Task #850

Story # 929 (Closed): modify client-side resolve() implementations to match new architecture

modify R client to call the resolve() on CN to determine data location

2010-09-14 19:06 - Matthew Jones

Status: Closed Start date: 2010-10-07

Priority: High Due date:  

Assignee: Matthew Jones % Done: 100%

Category: d1_client_r Estimated time: 0.00 hour

Target version: Sprint-2010.43   

Milestone: CCI-0.6 Story Points:  

Product Version: *   

Description

Currently the R client assumed that it has a MN service endpoint and calls GET on that endpoint directly.  Instead, need to have the

only known service endpoint be the CN endpoint, and use the resolve() method to find the proper MNs to use for downloading the

data and metadata objets.

History

#1 - 2010-09-24 17:27 - Matthew Jones

R client now uses resolve() against the CN to locate the MN for an object, then downloads that object.  However, there is some confusion about the

format of the resolve() response described in ticket #884.  Need to refactor the R client to use the new resolve() response when it is refactored.

#2 - 2010-10-06 20:16 - Matthew Jones

- Target version deleted (CCI-0.6)

- Parent task set to #929

- Milestone set to CCI-0.6

#3 - 2010-10-07 12:35 - Dave Vieglais

- Tracker changed from Bug to Task

- Start date set to 2010-10-07

#4 - 2010-10-30 02:20 - Matthew Jones

- Status changed from New to Closed

Modified R-client to use the new resolve() response syntax as encoded in ObjectLocationList, so now the R client uses the baseUrl for the CN to find

the proper location against which resolve() calls should be made.  This completes this task, although the R client itself needs significantly more work

to generalize it for robustness.
